C-Pluff C API: cp_extension_t Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# cp_extension_t Struct Reference
[Data structures]

Collaboration diagram for cp_extension_t:

[legend]

## Detailed Description

Extension structure captures information about an extension.

Extension structures are contained in cp_plugin_info_t::extensions.

## Data Fields
cp_plugin_info_t * | plugin
| A pointer to plug-in information containing this extension.
char * | ext_point_id
| The unique identifier of the extension point this extension is attached to.
char * | local_id
| An optional local identifier uniquely identifying the extension within the host plug-in.
char * | identifier
| An optional unique identifier of the extension.
char * | name
| An optional extension name.
cp_cfg_element_t * | configuration
| Extension configuration starting with the extension element.

## Field Documentation

cp_plugin_info_t* plugin

A pointer to plug-in information containing this extension.

This reverse pointer is provided to make it easy to get information about the plug-in which is hosting a particular extension.

char* ext_point_id

The unique identifier of the extension point this extension is attached to.

This corresponds to the point attribute of an extension element in a plug-in descriptor.

char* local_id

An optional local identifier uniquely identifying the extension within the host plug-in.

NULL if not available. This corresponds to the id attribute of an extension element in a plug-in descriptor.

char* identifier

An optional unique identifier of the extension.

NULL if not available. This is automatically constructed by concatenating the identifier of the host plug-in and the local identifier of the extension.

char* name

An optional extension name.

NULL if not available. The extension name is intended for display purposes only and the value can be localized. This corresponds to the name attribute of an extension element in a plug-in descriptor.

cp_cfg_element_t* configuration

Extension configuration starting with the extension element.

This includes extension configuration information as a tree of configuration elements. These correspond to the extension element and its contents in a plug-in descriptor.

The documentation for this struct was generated from the following file:

- cpluff.h

Generated on Fri Apr 6 15:40:56 2007 for C-Pluff C API by 1.5.1